<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-onboarding-card [title]="title" [showClose]="showClose" [routeOnBack]="routeOnBack" (onClose)="onClose()" [wide]="false">
  <ng-template *ngIf="pageIndicator" #beforeTitle>
    <div class="w-full h-full flex items-center justify-center leading-none mt-2">
      <ng-template [ngTemplateOutlet]="pageIndicator"></ng-template>
    </div>
  </ng-template>
  <ng-content></ng-content>
</app-onboarding-card>
